Class UmlBaseForkActivityNode

Declaration :

- C++ : class UmlBaseForkActivityNode : public UmlActivityControlNode
- Java : abstract class UmlBaseForkActivityNode extends UmlActivityControlNode

Directly inherited by : UmlForkActivityNode

Artifact : UmlBaseActivityControlNodeClasses

Operation create

returns a new fork activity control node named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlForkActivityNode, exceptions : RuntimeException
- C++ : public: static UmlForkActivityNode * create(UmlItem * parent, const char * s)
- Java : public static UmlForkActivityNode create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseForkActivityNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseForkActivityNode(in id : item_id, in s : string) :
- C++ : protected: UmlBaseForkActivityNode(void * id, const QCString & s) : UmlActivityControlNode(id, s)
- Java : protected UmlBaseForkActivityNode(long id, String s)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload